Click here to Skip to main content
15,849,907 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
Hi, I'm a newbie using BI. I ran the installer (2.19) and the system console is accessible. It immediately starts to install facerecognition which in turn installs Python3.7. The facerecognition fails as it cannot find the "torch" module. The server goes on to fail with yet more problems with YOLO.

Here's the log:
18:37:52:Operating System: Windows (Microsoft Windows 10.0.19044)
18:37:52:CPUs:             Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
18:37:52:                  1 CPU x 4 cores. 8 logical processors (x64)
18:37:52:GPU:              NVIDIA GeForce GTX 1050 Ti (4 GiB) (NVidia)
18:37:52:                  Driver: 516.94 CUDA: 11.7 Compute: 6.1
18:37:52:System RAM:       16 GiB
18:37:52:Target:           Windows
18:37:52:BuildConfig:      Release
18:37:52:Execution Env:    Native
18:37:52:Runtime Env:      Production
18:37:52:.NET framework:   .NET 7.0.5
18:37:52:App DataDir:      C:\ProgramData\CodeProject\AI
18:37:52:Video adapter info:
18:37:52:  NVIDIA GeForce GTX 1050 Ti:
18:37:52:    Driver Version     31.0.15.1694
18:37:52:    Video Processor    NVIDIA GeForce GTX 1050 Ti
18:37:52:ROOT_PATH                 = C:\Program Files\CodeProject\AI
18:37:52:RUNTIMES_PATH             = C:\Program Files\CodeProject\AI\runtimes
18:37:52:PREINSTALLED_MODULES_PATH = C:\Program Files\CodeProject\AI\preinstalled-modules
18:37:52:MODULES_PATH              = C:\Program Files\CodeProject\AI\modules
18:37:52:PYTHON_PATH               = \bin\windows\%PYTHON_RUNTIME%\venv\scripts\Python
18:37:52:Data Dir                  = C:\ProgramData\CodeProject\AI
18:37:52:Server version:   2.1.9-Beta
18:37:52:ModuleRunner Start
18:37:52:Starting Background AI Modules
18:37:55:Setting up initial modules. Please be patient...
18:37:55:Installing initial module FaceProcessing.
18:37:55:Preparing to install module 'FaceProcessing'
18:37:58:Current Version is 2.1.9-Beta
18:37:58:Server: This is the latest version
18:37:59:Downloading module 'FaceProcessing'
18:38:00:Installing module 'FaceProcessing'
18:38:00:FaceProcessing:              Installing CodeProject.AI Analysis Module                
18:38:00:FaceProcessing: ========================================================================
18:38:00:FaceProcessing:                    CodeProject.AI Installer                             
18:38:00:FaceProcessing: ========================================================================
18:38:00:FaceProcessing: Checking GPU support                                                  
18:38:01:FaceProcessing: CUDA Present...True
18:38:01:FaceProcessing: Allowing GPU Support: Yes
18:38:01:FaceProcessing: Allowing CUDA Support: Yes
18:38:01:FaceProcessing: General CodeProject.AI setup                                          
18:38:01:FaceProcessing: Creating Directories...Done
18:38:01:FaceProcessing: Installing module FaceProcessing                                      
18:38:01:FaceProcessing: Installing python37 in C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37
18:50:15:FaceProcessing: Downloading Python 3.7 interpreter...Expanding...Done.
18:50:33:FaceProcessing: Creating Virtual Environment...Done
18:50:33:FaceProcessing: Enabling our Virtual Environment...Done
18:50:33:FaceProcessing: Confirming we have Python 3.7...present
18:50:35:FaceProcessing: Ensuring Python package manager (pip) is installed...Done
18:50:50:FaceProcessing: Ensuring Python package manager (pip) is up to date...Done
18:50:51:FaceProcessing: Choosing Python packages from requirements.windows.cuda.txt
18:56:30:FaceProcessing: ERROR: Exception:
18:56:30:FaceProcessing: Traceback (most recent call last):
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 438, in _error_catcher
18:56:30:FaceProcessing:     yield
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 561, in read
18:56:30:FaceProcessing:     data = self._fp_read(amt) if not fp_closed else b""
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 519, in _fp_read
18:56:30:FaceProcessing:     data = self._fp.read(chunk_amt)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 90, in read
18:56:30:FaceProcessing:     data = self.__fp.read(amt)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\http\client.py", line 461, in read
18:56:30:FaceProcessing:     n = self.readinto(b)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\http\client.py", line 505, in readinto
18:56:30:FaceProcessing:     n = self.fp.readinto(b)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\socket.py", line 589, in readinto
18:56:30:FaceProcessing:     return self._sock.recv_into(b)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\ssl.py", line 1071, in recv_into
18:56:30:FaceProcessing:     return self.read(nbytes, buffer)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\ssl.py", line 929, in read
18:56:30:FaceProcessing:     return self._sslobj.read(len, buffer)
18:56:30:FaceProcessing: socket.timeout: The read operation timed out
18:56:30:FaceProcessing: During handling of the above exception, another exception occurred:
18:56:30:FaceProcessing: Traceback (most recent call last):
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\cli\base_command.py", line 169, in exc_logging_wrapper
18:56:30:FaceProcessing:     status = run_func(*args)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\cli\req_command.py", line 248, in wrapper
18:56:30:FaceProcessing:     return func(self, options, args)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\commands\install.py", line 378, in run
18:56:30:FaceProcessing:     reqs, check_supported_wheels=not options.target_dir
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 93, in resolve
18:56:30:FaceProcessing:     collected.requirements, max_rounds=limit_how_complex_resolution_can_be
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 546, in resolve
18:56:30:FaceProcessing:     state = resolution.resolve(requirements, max_rounds=max_rounds)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 397, in resolve
18:56:30:FaceProcessing:     self._add_to_criteria(self.state.criteria, r, parent=None)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 173, in _add_to_criteria
18:56:30:FaceProcessing:     if not criterion.candidates:
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\structs.py", line 156, in __bool__
18:56:30:FaceProcessing:     return bool(self._sequence)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 155, in __bool__
18:56:30:FaceProcessing:     return any(self)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 143, in 
18:56:30:FaceProcessing:     return (c for c in iterator if id(c) not in self._incompatible_ids)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 47, in _iter_built
18:56:30:FaceProcessing:     candidate = func()
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 211, in _make_candidate_from_link
18:56:30:FaceProcessing:     version=version,
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 299, in __init__
18:56:30:FaceProcessing:     version=version,
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 156, in __init__
18:56:30:FaceProcessing:     self.dist = self._prepare()
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 225, in _prepare
18:56:30:FaceProcessing:     dist = self._prepare_distribution()
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 304, in _prepare_distribution
18:56:30:FaceProcessing:     return preparer.prepare_linked_requirement(self._ireq, parallel_builds=True)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 516, in prepare_linked_requirement
18:56:30:FaceProcessing:     return self._prepare_linked_requirement(req, parallel_builds)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 593, in _prepare_linked_requirement
18:56:30:FaceProcessing:     hashes,
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 170, in unpack_url
18:56:30:FaceProcessing:     hashes=hashes,
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 107, in get_http_url
18:56:30:FaceProcessing:     from_path, content_type = download(link, temp_dir.path)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\network\download.py", line 147, in __call__
18:56:30:FaceProcessing:     for chunk in chunks:
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\network\utils.py", line 87, in response_chunks
18:56:30:FaceProcessing:     decode_content=False,
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 622, in stream
18:56:30:FaceProcessing:     data = self.read(amt=amt, decode_content=decode_content)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 587, in read
18:56:30:FaceProcessing:     raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\contextlib.py", line 130, in __exit__
18:56:30:FaceProcessing:     self.gen.throw(type, value, traceback)
18:56:30:FaceProcessing:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 443, in _error_catcher
18:56:30:FaceProcessing:     raise ReadTimeoutError(self._pool, None, "Read timed out.")
18:56:30:FaceProcessing: pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='download.pytorch.org', port=443): Read timed out.
18:56:31:FaceProcessing: Installing Packages into Virtual Environment...Success
18:56:32:FaceProcessing: Ensuring Python package manager (pip) is installed...Done
18:56:41:FaceProcessing: Ensuring Python package manager (pip) is up to date...Done
18:56:41:FaceProcessing: Choosing Python packages from requirements.txt
18:56:56:FaceProcessing: Installing Packages into Virtual Environment...Success
18:58:00:FaceProcessing: Downloading YOLO models...
18:58:30:Module FaceProcessing installed successfully.
18:58:30:GetCommandByRuntime: Runtime=python37, Location=Shared
18:58:30:Command: C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\scripts\Python
18:58:30:
18:58:30:Attempting to start FaceProcessing with C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\scripts\Python "C:\Program Files\CodeProject\AI\modules\FaceProcessing\intelligencelayer\face.py"
18:58:30:Starting C:\Program Files...ws\python37\venv\scripts\Python "C:\Program Files...ing\intelligencelayer\face.py"
18:58:30:
18:58:30:Module 'Face Processing' (ID: FaceProcessing)
18:58:30:Module Path:   C:\Program Files\CodeProject\AI\modules\FaceProcessing
18:58:30:AutoStart:     True
18:58:30:Queue:         faceprocessing_queue
18:58:30:Platforms:     windows,linux,linux-arm64,macos,macos-arm64
18:58:30:GPU:           Support enabled
18:58:30:Parallelism:   0
18:58:30:Accelerator:
18:58:30:Half Precis.:  enable
18:58:30:Runtime:       python37
18:58:30:Runtime Loc:   Shared
18:58:30:FilePath:      intelligencelayer\face.py
18:58:30:Pre installed: False
18:58:30:Start pause:   1 sec
18:58:30:LogVerbosity:
18:58:30:Valid:         True
18:58:30:Environment Variables
18:58:30:APPDIR             = %CURRENT_MODULE_PATH%\intelligencelayer
18:58:30:DATA_DIR           = %DATA_DIR%
18:58:30:MODE               = MEDIUM
18:58:30:MODELS_DIR         = %CURRENT_MODULE_PATH%\assets
18:58:30:PROFILE            = desktop_gpu
18:58:30:USE_CUDA           = True
18:58:30:YOLOv5_AUTOINSTALL = false
18:58:30:YOLOv5_VERBOSE     = false
18:58:30:
18:58:30:Started Face Processing module
18:58:30:Unable to install FaceProcessing: Timed out attempting to install Module 'FaceProcessing' ($A task was canceled.)
18:58:30:Installing initial module ObjectDetectionNet.
18:58:30:Preparing to install module 'ObjectDetectionNet'
18:58:30:Downloading module 'ObjectDetectionNet'
18:58:31:face.py: Vision AI services setup: Retrieving environment variables...
18:58:31:face.py: USE_MPS not found. Setting to default True
18:58:31:face.py: Traceback (most recent call last):
18:58:31:face.py:   File "C:\Program Files\CodeProject\AI\modules\FaceProcessing\intelligencelayer\face.py", line 34, in 
18:58:31:face.py: APPDIR:       C:\Program Files\CodeProject\AI\modules\FaceProcessing\intelligencelayer
18:58:31:face.py:     import torch
18:58:31:face.py: ModuleNotFoundError: No module named 'torch'
18:58:31:face.py: PROFILE:      desktop_cpu
18:58:31:face.py: USE_CUDA:     False
18:58:31:face.py: DATA_DIR:     C:\ProgramData\CodeProject\AI
18:58:31:face.py: MODELS_DIR:   C:\Program Files\CodeProject\AI\modules\FaceProcessing\assets
18:58:31:face.py: MODE:         MEDIUM
18:58:31:Module FaceProcessing has shutdown
18:58:31:face.py: has exited
18:58:31:Module FaceProcessing started successfully.
18:59:00:Unable to install ObjectDetectionNet: Unable to download module 'ObjectDetectionNet' from https://www.codeproject.com/KB/articles/5348853/ObjectDetectionNet-1.4.zip. Error: The request was canceled due to the configured HttpClient.Timeout of 30 seconds elapsing.
18:59:00:Installing initial module ObjectDetectionYolo.
18:59:00:Preparing to install module 'ObjectDetectionYolo'
18:59:00:Downloading module 'ObjectDetectionYolo'
18:59:20:Installing module 'ObjectDetectionYolo'
18:59:20:ObjectDetectionYolo:              Installing CodeProject.AI Analysis Module                
18:59:21:ObjectDetectionYolo: ========================================================================
18:59:21:ObjectDetectionYolo:                    CodeProject.AI Installer                             
18:59:21:ObjectDetectionYolo: ========================================================================
18:59:21:ObjectDetectionYolo: Checking GPU support                                                  
18:59:21:ObjectDetectionYolo: CUDA Present...True
18:59:21:ObjectDetectionYolo: Allowing GPU Support: Yes
18:59:21:ObjectDetectionYolo: Allowing CUDA Support: Yes
18:59:21:ObjectDetectionYolo: General CodeProject.AI setup                                          
18:59:21:ObjectDetectionYolo: Creating Directories...Done
18:59:21:ObjectDetectionYolo: Installing module ObjectDetectionYolo                                 
18:59:21:ObjectDetectionYolo: Installing python37 in C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37
18:59:21:ObjectDetectionYolo: Checking for python37 download...Present
18:59:21:ObjectDetectionYolo: Creating Virtual Environment...Python 3.7 Already present
18:59:21:ObjectDetectionYolo: Enabling our Virtual Environment...Done
18:59:21:ObjectDetectionYolo: Confirming we have Python 3.7...present
18:59:23:ObjectDetectionYolo: Ensuring Python package manager (pip) is installed...Done
18:59:28:ObjectDetectionYolo: Ensuring Python package manager (pip) is up to date...Done
18:59:28:ObjectDetectionYolo: Choosing Python packages from requirements.windows.cuda.txt
19:05:23:ObjectDetectionYolo: ERROR: Exception:
19:05:23:ObjectDetectionYolo: Traceback (most recent call last):
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 438, in _error_catcher
19:05:23:ObjectDetectionYolo:     yield
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 561, in read
19:05:23:ObjectDetectionYolo:     data = self._fp_read(amt) if not fp_closed else b""
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 519, in _fp_read
19:05:23:ObjectDetectionYolo:     data = self._fp.read(chunk_amt)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 90, in read
19:05:23:ObjectDetectionYolo:     data = self.__fp.read(amt)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\http\client.py", line 461, in read
19:05:23:ObjectDetectionYolo:     n = self.readinto(b)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\http\client.py", line 505, in readinto
19:05:23:ObjectDetectionYolo:     n = self.fp.readinto(b)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\socket.py", line 589, in readinto
19:05:23:ObjectDetectionYolo:     return self._sock.recv_into(b)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\ssl.py", line 1071, in recv_into
19:05:23:ObjectDetectionYolo:     return self.read(nbytes, buffer)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\ssl.py", line 929, in read
19:05:23:ObjectDetectionYolo:     return self._sslobj.read(len, buffer)
19:05:23:ObjectDetectionYolo: socket.timeout: The read operation timed out
19:05:23:ObjectDetectionYolo: During handling of the above exception, another exception occurred:
19:05:23:ObjectDetectionYolo: Traceback (most recent call last):
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\cli\base_command.py", line 169, in exc_logging_wrapper
19:05:23:ObjectDetectionYolo:     status = run_func(*args)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\cli\req_command.py", line 248, in wrapper
19:05:23:ObjectDetectionYolo:     return func(self, options, args)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\commands\install.py", line 378, in run
19:05:23:ObjectDetectionYolo:     reqs, check_supported_wheels=not options.target_dir
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 93, in resolve
19:05:23:ObjectDetectionYolo:     collected.requirements, max_rounds=limit_how_complex_resolution_can_be
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 546, in resolve
19:05:23:ObjectDetectionYolo:     state = resolution.resolve(requirements, max_rounds=max_rounds)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 397, in resolve
19:05:23:ObjectDetectionYolo:     self._add_to_criteria(self.state.criteria, r, parent=None)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\resolvers.py", line 173, in _add_to_criteria
19:05:23:ObjectDetectionYolo:     if not criterion.candidates:
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\resolvelib\structs.py", line 156, in __bool__
19:05:23:ObjectDetectionYolo:     return bool(self._sequence)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 155, in __bool__
19:05:23:ObjectDetectionYolo:     return any(self)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 143, in 
19:05:23:ObjectDetectionYolo:     return (c for c in iterator if id(c) not in self._incompatible_ids)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\found_candidates.py", line 47, in _iter_built
19:05:23:ObjectDetectionYolo:     candidate = func()
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\factory.py", line 211, in _make_candidate_from_link
19:05:23:ObjectDetectionYolo:     version=version,
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 299, in __init__
19:05:23:ObjectDetectionYolo:     version=version,
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 156, in __init__
19:05:23:ObjectDetectionYolo:     self.dist = self._prepare()
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 225, in _prepare
19:05:23:ObjectDetectionYolo:     dist = self._prepare_distribution()
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\resolution\resolvelib\candidates.py", line 304, in _prepare_distribution
19:05:23:ObjectDetectionYolo:     return preparer.prepare_linked_requirement(self._ireq, parallel_builds=True)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 516, in prepare_linked_requirement
19:05:23:ObjectDetectionYolo:     return self._prepare_linked_requirement(req, parallel_builds)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 593, in _prepare_linked_requirement
19:05:23:ObjectDetectionYolo:     hashes,
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 170, in unpack_url
19:05:23:ObjectDetectionYolo:     hashes=hashes,
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\operations\prepare.py", line 107, in get_http_url
19:05:23:ObjectDetectionYolo:     from_path, content_type = download(link, temp_dir.path)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\network\download.py", line 147, in __call__
19:05:23:ObjectDetectionYolo:     for chunk in chunks:
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_internal\network\utils.py", line 87, in response_chunks
19:05:23:ObjectDetectionYolo:     decode_content=False,
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 622, in stream
19:05:23:ObjectDetectionYolo:     data = self.read(amt=amt, decode_content=decode_content)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 587, in read
19:05:23:ObjectDetectionYolo:     raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\lib\contextlib.py", line 130, in __exit__
19:05:23:ObjectDetectionYolo:     self.gen.throw(type, value, traceback)
19:05:23:ObjectDetectionYolo:   File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\pip\_vendor\urllib3\response.py", line 443, in _error_catcher
19:05:23:ObjectDetectionYolo:     raise ReadTimeoutError(self._pool, None, "Read timed out.")
19:05:23:ObjectDetectionYolo: pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='download.pytorch.org', port=443): Read timed out.
19:05:23:ObjectDetectionYolo: Installing Packages into Virtual Environment...Success
19:05:25:ObjectDetectionYolo: Ensuring Python package manager (pip) is installed...Done
19:06:02:ObjectDetectionYolo: Ensuring Python package manager (pip) is up to date...Done
19:06:02:ObjectDetectionYolo: Choosing Python packages from requirements.txt
19:07:48:ObjectDetectionYolo: Installing Packages into Virtual Environment...Success


What I have tried:

Uninstalled codeproject, deleted programfiles / programdata. Cleaned the registry, rebooted PC and rerun the installer.
Repeat and rinse X2

No luck so far.
Posted
Updated 21-Jun-23 22:26pm

1 solution

You should post this question in the CodeProject.AI Discussions[^] forum.
 
Share this answer
 

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900